=== debian/control ===
Source: eobuilder
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: dh-python, python3-setuptools, python3-all, debhelper-compat (= 12), dh-exec
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/eobuilder

Package: eobuilder
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, pbuilder, cowbuilder, devscripts
Description: Entr'ouvert Package Builder
