## eobuilder 34

=== debian/changelog ===
eobuilder (34-1~eob120+1) bookworm-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200
