=== debian/control ===
Source: eobuilder
Maintainer: Frederic Peters <fpeters@entrouvert.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 3.9.6
Homepage: https://dev.entrouvert.org/projects/eobuilder

Package: eobuilder
Architecture: all
Depends: cowbuilder,
         devscripts,
         pbuilder,
         ${misc:Depends},
         ${python3:Depends},
Description: Entr'ouvert Package Builder
