## eobuilder 35.post1+g96f4ebf

=== debian/changelog ===
eobuilder (35.post1+g96f4ebf-1~eob120+1) bookworm-eobuilder; urgency=low

  * (96f4eb) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:18:45 +0200

eobuilder (35) bookworm-eobuilder; urgency=low

  * (154d1e) allow building any reference (#10418)
  * (22d34e) simplify setup_git_tree (#10418)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Oct 2025 15:16:24 +0200
