## eobuilder 36

=== debian/changelog ===
eobuilder (36-1~eob130+1) trixie-eobuilder; urgency=low

  * (96f4eb) ci: also build package for trixie (#111016)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 15 Oct 2025 10:18:45 +0200

eobuilder (35) trixie-eobuilder; urgency=low

  * (154d1e) allow building any reference (#10418)
  * (22d34e) simplify setup_git_tree (#10418)

 -- eobuilder <eobuilder@entrouvert.com>  Tue, 14 Oct 2025 15:16:24 +0200

eobuilder (34) trixie-eobuilder; urgency=low

  * (436365) debian: restore order and permission bit of debian/install (#108988)
  * (129c32) packaging: remove execute permission to debian/install (#108986)
  * (56a506) trivial: apply new pre-commit (#108983)
  * (9bdc13) ci: add pyupgrade/isort/pre-commit-debian (#108983)
  * (38d535) add trixie support (#108982)
  * (c3f393) misc: update Makefile and pbuilderrc for recent debian installations
    (#106055)
  * (122157) misc: let pre-commit apply changes (#101218)
  * (04d8f9) ci: update black version (#101218)
  * (b8324e) ci: change black to target python 3.11 (#101218)
  * (5a274e) tox: use check-manifest (#92517)
  * (538c79) trivial: update pre-commit-hooks to 4.6.0 (#93275)
  * (5229f8) ci: stop building for bullseye (#93027)
  * (a0de07) misc: update git-blame-ignore-revs to ignore quote changes (#79788)
  * (04e126) misc: apply double-quote-string-fixer (#79788)
  * (ec5581) misc: add pre commit hook to force single quotes (#79788)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 11 Aug 2025 10:17:23 +0200

eobuilder (33) trixie-eobuilder; urgency=low

  * (9e0a88) misc: remove deb repository handling (#80288)
  * (a7aa93) ci: build deb package for bookworm (#78968)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 05 Aug 2023 12:19:27 +0200

eobuilder (32) trixie-eobuilder; urgency=low

  * (1869e1) misc: remove i386 references (#78330)
  * (fa3d05) add bookworm support (and remove buster) (#78329)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 12 Jun 2023 12:34:08 +0200

eobuilder (31) trixie-eobuilder; urgency=low

  * (e9f992) change launcher script to get configuration from /etc/ (#74863)
  * (29856d) Prepare Jenkinsfile for Gitea migration (#74572)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 02 Mar 2023 10:08:20 +0100

eobuilder (30) trixie-eobuilder; urgency=low

  * (c6b8c7) ci: only build package for bullseye (#72729)
  * (192f5c) misc: defaults to bullseye (#72729)
  * (680bf0) trivial: bump black version to 22.3.0
  * (e0a191) trivial: bump black version to 22.1.0 (#62312)
  * (b2de21) settings: close local settings file (#61980)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 22 Dec 2022 17:21:26 +0100

eobuilder (29) trixie-eobuilder; urgency=low

  * (4f93ac) changelog: skip failing lines (#60475)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 10 Jan 2022 20:06:10 +0100

eobuilder (28) trixie-eobuilder; urgency=low

  * (d4debe) generate Packages.gz event if --no-dput is given (#59604)
  * (26d0ce) debian: use debhelper compat level 12
  * (fee146) jenkins: build packages for buster & bullseye
  * (2279cd) build: bump black version

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 12 Dec 2021 16:02:36 +0100

eobuilder (27) trixie-eobuilder; urgency=low

  * (ca7fb9) remove stretch from default repositories/targets
  * (a441c3) shift versions as bullseye has now been released (#51564)
  * (b49cb7) reduce supported versions to current debian versions (#51564)

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 15 Aug 2021 14:59:33 +0200

eobuilder (26) trixie-eobuilder; urgency=low

  * (1ea1c6) misc: change target default to buster only (#51544)
  * (70398e) misc: add black files/notes
  * (d37357) trivial: apply black
  * (f3ad73) pbuilder: add stable entr'ouvert apt repository (#49869)
  * (953348) build: update to use origin/main

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Mar 2021 16:39:16 +0100

eobuilder (25) trixie-eobuilder; urgency=low

  * (5e0e71) misc: add a --no-send option (#15541)
  * (f1028b) run git fetch before switching branch (#46196)

 -- eobuilder <eobuilder@entrouvert.com>  Thu, 29 Oct 2020 17:51:59 +0100

eobuilder (24) trixie-eobuilder; urgency=low

  * (f2d6c8) fix branch switching to use value from options (#45062)
  * (14ef68) misc: fix cloning a project from a subdirectory (#45046)

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 13 Jul 2020 09:53:21 +0200

eobuilder (23) trixie-eobuilder; urgency=low

  * (d5636c) misc: make urljoin works with git+ssh:// URLs (#44790)

 -- eobuilder <eobuilder@entrouvert.com>  Fri, 03 Jul 2020 12:53:54 +0200

eobuilder (22) trixie-eobuilder; urgency=low

  * (cfe87c) misc: add a random number to build directory (#44527)
  * (670453) respect branch if specified on command line (#44491)

 -- eobuilder <eobuilder@entrouvert.com>  Sat, 27 Jun 2020 17:41:21 +0200

eobuilder (21) trixie-eobuilder; urgency=low

  * (f7fc82) use different names when looking for default branch (#44113)
  * (e32696) debian: add dependency on devscripts (required for dch) (#44241)
  * (812a4f) make wrapper script set HOME to eobuilder user (#44242)
  * (5fa65a) make pbuilder result directory a package repository (#44243)
  * (bea756) treat argument as a project reference, allowed to be a URI (#44111)
  * (d87b09) fix typo in variable name

 -- eobuilder <eobuilder@entrouvert.com>  Sun, 21 Jun 2020 09:17:48 +0200

eobuilder (20) trixie-eobuilder; urgency=low

  * (de529a) run setup.py with python3 in more conditions (#43601)

 -- eobuilder <eobuilder@entrouvert.com>  Wed, 03 Jun 2020 20:33:15 +0200

eobuilder (19) trixie-eobuilder; urgency=low

  * (fbbeb6) add check for hotfix branch names (#43310)
  * (e00aab) Jenkinsfile: use default distribution target (#41301)
  * (c0d99a) handle None in output
  * (30e714) eobuildall: run with python3

 -- eobuilder <eobuilder@entrouvert.com>  Mon, 01 Jun 2020 08:40:13 +0200

eobuilder (18) trixie-eobuilder; urgency=low

  * (cf58f9) debian: bump debhelper level to 10
  * (8a977c) debian: update for python 3
